typedef struct trans {
  int src0;
  int src1;
  int dst;
  char *lab;
} * Trans;

Trans mk_trans(int, int, char *, int);

typedef struct ta {
  int vars_no;
  int *var_type;
  char **var_list;

  int state_no;
  int init_state;
  int acc_state;

  int trans_no;
  Trans *trans_list;
} * Ta;

#define LINESIZE   1000

/* If using VATA output, this should be set to SYMBOL_SIZE in include/vata/symbolic.hh */
#define MAXVAR     16

#define MAXSTATES  1000
#define MAXTRANS   100000

#define FOVAR       0
#define UNIVAR      1
#define MSOVAR      2
#define UNIVAR_SYM 'U'


